petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerRead

Reads data from a PetscViewer

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerRead(PetscViewer viewer, void *data, PetscInt num, PetscInt *count, PetscDataType dtype)

Collective on MPI_Comm

### Input Parameters

| viewer | - The viewer
| data | - Location to write the data
| num | - Number of items of data to read
| datatype | - Type of data to read

### Output Parameters

count -number of items of data actually read, or NULL

### See Also

PetscViewerASCIIOpen(), PetscViewerPushFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), PetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer

Level:beginner
Location:src/sys/classes/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages